org.eclipse.swt.events

## Class PaintEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.events.TypedEvent
    - - org.eclipse.swt.events.PaintEvent

    public final class PaintEvent
    extends TypedEvent

Instances of this class are sent as a result of visible areas of controls requiring re-painting.

Since:
  1.3
See Also:
  `PaintListener`

### Field Summary

Fields
`int` `count` the number of following paint events which are pending which may always be zero on some platforms
`GC` `gc` the graphics context to use when painting that is configured to use the colors, font and damaged region of the control.
`int` `height` the height of the bounding rectangle of the region that requires painting
`int` `width` the width of the bounding rectangle of the region that requires painting
`int` `x` the x offset of the bounding rectangle of the region that requires painting
`int` `y` the y offset of the bounding rectangle of the region that requires painting

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Constructor Summary

Constructors
Constructor and Description
`PaintEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### gc

    public GC gc

the graphics context to use when painting that is configured to use the colors, font and damaged region of the control. It is valid only during the paint and must not be disposed

#### x

    public int x

the x offset of the bounding rectangle of the region that requires painting

#### y

    public int y

the y offset of the bounding rectangle of the region that requires painting

#### width

    public int width

the width of the bounding rectangle of the region that requires painting

#### height

    public int height

the height of the bounding rectangle of the region that requires painting

#### count

    public int count

the number of following paint events which are pending which may always be zero on some platforms

### Constructor Detail

#### PaintEvent

    public PaintEvent(Event event)

Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0